Skip to main content
GET
Get a subscription

Authorizations

X-API-Key
string
header
required

Path Parameters

query_name
string
required

The name the query was created with (POST /queries).

subscription_id
string<shortuuid>
required

The subscriptionID returned when the subscription was created.

Required string length: 22
Pattern: ^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$

Response

OK

A registered subscription, as GET returns it. The signatureToken is never included.

subscriptionID
string
required

Identifier of the subscription; use it in the URL path.

dest
string
required

URL callbacks are POSTed to.

createdAt
string<date-time>
required

When the subscription was registered.

lastNotifiedAt
string<date-time> | null

When a callback last received a 2xx answer; absent until one has.